/*
     This file is part of GNUnet
     (C) 2005, 2006, 2010, 2011 Christian Grothoff (and other contributing authors)

     GNUnet is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published
     by the Free Software Foundation; either version 2, or (at your
     option) any later version.

     GNUnet is distributed in the hope that it will be useful, but
     WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
     General Public License for more details.

     You should have received a copy of the GNU General Public License
     along with GNUnet; see the file COPYING.  If not, write to the
     Free Software Foundation, Inc., 59 Temple Place - Suite 330,
     Boston, MA 02111-1307, USA.
*/

/**
 * @file src/lib/about.c
 * @brief code to display an about dialog
 * @author Christian Grothoff
 * @author Igor Wronsky
 */
#include "gnunet_gtk.h"

/**
 * This displays an about dialog.
 *
 * @param dialogfile name of the glade file containing the dialog
 * @param dialogname name of the about dialog in the file
 */
void
GNUNET_GTK_display_about (const char *dialogfile, const char *dialogname)
{
  GtkBuilder *builder;
  GtkWidget *ad;

  builder = GNUNET_GTK_get_new_builder (dialogfile);
  if (builder == NULL)
    return;
  ad = GTK_WIDGET (gtk_builder_get_object (builder, dialogname));
  gtk_dialog_run (GTK_DIALOG (ad));
  gtk_widget_destroy (ad);
  g_object_unref (G_OBJECT (builder));
}


/* end of about.c */
